genesis in erlier virsion..

sira197325sira197325 Posts: 0
edited December 1969 in New Users

hello there any way to open gensis in earlier vers. of daz studio ...?


  • ChoholeChohole Posts: 20,880
    edited December 1969

    No genesis requires DS 4 or above, it needs things that are not in earlier versions.

Sign In or Register to comment.
Rocket Fuel